local S = core.get_translator(core.get_current_modname());
local dp = natural_habitat.dupes;

-- STONE
if not dp.stone then
    dp.stone = m7a.register_node("natural_habitat:stone", {
        description = S("Stone"),
        tiles = { "nbt_stone.png" },
        groups = m7a.mod_impact(
            { cracky=3, stone=1 }, {
                ["mcl_player"] = {
                    pickaxey=1, stone=1, building_block=1, 
                    converts_to_moss=1, overworld_carvable=1, 
                    material_stone=1, stonecuttable=1, 
                    stone_ore_target=1,
                },
            }
        ),
        drop = dp.cobble,
        legacy_mineral = true,
        
        sounds = natural_habitat.sound_stone(),
        
        _doc_items_hidden = false,
        _doc_items_longdesc = S(
            "One of the most common blocks in the world, "..
            "almost the entire underground consists of stone. "..
            "It sometimes contains ores. Stone may be created when water meets lava."
        ),
        _mcl_blast_resistance = 6,
        _mcl_hardness = 1.5,
        _mcl_silk_touch_drop = true,
        --_mcl_cooking_output = dp.stone_smooth,
        --_mcl_crafting_output = {square2 = {output = dp.stone_bricks.." 4"}}
        
    });
    
    core.register_alias("stone", dp.stone);
    core.register_alias("mapgen_stone", dp.stone);
end;

-- DEEP STONE
if not dp.stone_deep then
    dp.stone_deep = m7a.register_node("natural_habitat:deep_stone", {
        description = S("Deep Stone"),
        tiles = { "nbt_stone_deep.png" },
        groups = m7a.mod_impact(
            { cracky=3, stone=1, level = 2 }, {
                ["mcl_player"] = {
                    pickaxey=1, stone=1, building_block=1, 
                    converts_to_moss=1, overworld_carvable=1, 
                    material_stone=1, stonecuttable=1, 
                    stone_ore_target=1,
                },
            }
        ),
        drop = dp.cobble,
        legacy_mineral = true,
        
        sounds = natural_habitat.sound_stone(),
        
        _doc_items_hidden = false,
        _doc_items_longdesc = S(
            "Deep Stone is a stone type found deep underground, "..
            "similar to regular stone but is harder than the stone."
        ),
        _mcl_blast_resistance = 6,
        _mcl_hardness = 3,
        _mcl_silk_touch_drop = true,
        --_mcl_cooking_output = dp.stone_deep_smooth,
        --_mcl_crafting_output = {square2 = {output = dp.stone_deep_bricks.." 4"}}
    });
end;
